Skip to content
developers

List processing terminals

Browse API reference

GET/processing-accounts/{processingAccountId}/processing-terminalslistProcessingAccountsProcessingTerminals

Use this method to return a paginated list of processing terminals associated with a processing account.

Note: If you want to view the details of a specific processing terminal and you have its processingTerminalId, use our Retrieve Processing Terminal method.

To list the terminals for a processing account, you need its processingAccountId. If you don't have the processingAccountId, use our List Merchant Platforms method to search for a merchant platform and its processing accounts.

Our gateway returns the following information for each processing terminal in the list:

  • Status indicating whether the terminal is active or inactive.
  • Configuration settings, including gateway settings and application settings.
  • Features, receipt settings, and security settings.
  • Devices that use the processing terminal's configuration.

For each processing terminal, we also return its processingTerminalId, which you can use to perform follow-on actions.

Parameters

NameInTypeDescription
processingAccountIdRequiredpathstring

Unique identifier that we assigned to the processing account.

beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful request. Returns a list of processing terminals associated with the processing account.

200 OK · application/json
{
  "count": 2,
  "data": [
    {
      "applicationSettings": {
        "clerkPrompt": false,
        "invoiceNumberPrompt": true
      },
      "batchClosure": {
        "batchCloseTime": "23:40",
        "batchCloseType": "automatic"
      },
      "devices": [
        {
          "communicationType": "bluetooth",
          "manufacturer": "Ingenico",
          "model": "Axium Dx4000 Tsys",
          "serialNumber": "DX400-1234"
        }
      ],
      "features": {
        "ebt": {
          "ebtType": "foodStamp",
          "enabled": true,
          "fnsNumber": "3456789"
        },
        "enhancedProcessing": {
          "enabled": true,
          "shippingAddressMode": "fullAddress",
          "transactionDataLevel": "level2"
        },
        "offlinePayments": true,
        "paymentLinks": {
          "enabled": true,
          "footerNotes": "Thank you for your business.",
          "logoUrl": "https://www.example.com/logo.png"
        },
        "pinDebitCashback": false,
        "preAuthorizations": true,
        "recurringPayments": true,
        "tips": {
          "enabled": false
        }
      },
      "gateway": {
        "gateway": "payroc",
        "terminalTemplateId": "Roc Services_DX8000"
      },
      "processingTerminalId": "011234001",
      "program": "Payroc Cloud",
      "receiptNotifications": {
        "emailReceipt": true,
        "smsReceipt": false
      },
      "security": {
        "avsLevel": "fullAddress",
        "avsPrompt": true,
        "cvvPrompt": true,
        "tokenization": false
      },
      "status": "active",
      "taxes": [
        {
          "taxLabel": "Sales Tax",
          "taxRate": 6
        }
      ],
      "timezone": "Pacific/Midway"
    }
  ],
  "hasMore": true,
  "limit": 2,
  "links": [
    {
      "href": "https://api.payroc.com/v1/processing-accounts/38765/processing-terminals?before=1543&limit=2",
      "method": "get",
      "rel": "previous"
    },
    {
      "href": "https://api.payroc.com/v1/processing-accounts/38765/processing-terminals?after=87926&limit=2",
      "method": "get",
      "rel": "next"
    }
  ]
}
Response schema · 71 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]
    Array of processing terminal objects.
    • applicationSettingsobjectrequired
      Object that contains the application settings for the solution.
      • clerkPromptboolean
        Indicates if the terminal should prompt the clerk, for example, if the terminal should prompt when the clerk needs to enter an amount on the terminal.
      • invoiceNumberPromptboolean
        Indicates if the terminal should prompt the clerk to provide an invoice number with a sale.
    • batchClosureobjectrequired
      Polymorphic object that contains information about when and how the terminal closes the batch. The value of the batchCloseType field determines which variant you should use: automatic Terminal automatically closes the batch at a specific time each day. manual Merchant uses the terminal to manually close the batch.
      • automaticobject
        Indicates how authorized transactions will be batched for settlement
        • batchCloseTimestringrequired
          The time, within the specified timezone, at which the batch automatically closes≤ 5 chars
        • batchCloseTypestringrequired
          Indicates whether batch settlement of authorized transactions are automatically or manually closedautomatic
      • manualobject
        Indicates how authorized transactions will be batched for settlement
        • batchCloseTypestringrequired
          Indicates whether batch settlement of authorized transactions are automatically or manually closedmanual
    • devicesobject[]
      Array of device objects. Each object contains information about a device using the processing terminal's configuration.0–1 items
      • communicationTypestring
        Indicates how the device communicates with its host.≤ 9 charsbluetoothcellularethernetwifi
      • manufacturerstringrequired
        Manufacturer of the terminal.≤ 100 chars
      • modelstringrequired
        Model of the terminal.≤ 100 chars
      • serialNumberstringrequired
        Serial number of the terminal.≤ 45 chars
    • featuresobjectrequired
      Object that contains the feature settings for the terminal.
      • ebtobjectrequired
        Polymorphic object that indicates if the terminal accepts EBT transactions. The value of the enabled field determines which variant you should use: true Terminal allows EBT transactions. false Terminal doesn't allow EBT transactions.
        • option 1object
          Object that contains details about EBT transactions.
          • ebtTypestringrequired
            Indicates the type of EBT that the terminal supports.≤ 9 charsfoodStampcashboth
          • enabledbooleanrequired
            Indicates if the terminal accepts Electronic Benefit Transfer (EBT) transactions.
          • fnsNumberstring
            Food and Nutritional Service (FNS) number that the government assigns to the merchant to allow them to accept Supplemental Nutrition Assistance Program (SNAP) transactions.≤ 7 chars
        • option 2object
          Object that contains details about EBT transactions.
          • enabledbooleanrequired
            Indicates if the terminal accepts Electronic Benefit Transfer (EBT) transactions.
      • enhancedProcessingobjectrequired
        Object that contains details about level two and level three transactions.
        • enabledbooleanrequired
          Indicates if the terminal can run level two and level three transactions.
        • shippingAddressModestring
          Indicates the address information that the clerk must provide to qualify for level two or level three data. The value is one of the following: fullAddress The clerk must provide the full address for the transaction to qualify. postalCode The clerk must provide a postal code for the transaction to qualify.≤ 11 charsfullAddresspostalCode
        • transactionDataLevelstring
          Indicates if the terminal supports level two or level three transactions.≤ 6 charslevel2level3
      • offlinePaymentsboolean
        Indicates if the terminal can accept payments when it can't connect to the gateway. For more information about offline processing, go to Offline Processing.
      • paymentLinksobject
        Object that contains details about payment links.
        • enabledbooleanrequired
          Indicates if the terminal supports payment links.
        • footerNotesstring
          String that the merchant wants to display on the footer of their payment link email.≤ 2000 chars
        • logoUrlstring
          URL of the logo image that the merchant wants to display in their payment link email.≤ 200 chars
      • pinDebitCashbackbooleanrequired
        Indicates if the terminal prompts for cashback on PIN debit transactions.
      • preAuthorizationsboolean
        Indicates if the terminal can run pre-authorizations.
      • recurringPaymentsboolean
        Indicates if the terminal can run repeat payments. For more information about repeat payments, go to Payment Plans.
      • tipsobject
        Polymorphic object that indicates if the terminal accepts tips. The value of the enabled field determines which variant you should use: true Terminal allows tips. false Terminal doesn't allow tips.
        • option 1object
          Tip settings
          • enabledbooleanrequired
            Indicates if the terminal can accept tips.
          • suggestedTipsobject
            Object that contains up to three tip amounts that the terminal displays during a sale.
            • enabledboolean
              Indicates if the terminal displays tip amounts during a sale.
            • tipPercentagesstring[]
              Array of the tip amounts that the terminal displays during a sale.≤ 3 items
          • tipAdjustboolean
            Indicates if a clerk can adjust a tip after the customer completes the sale.
          • tipPromptboolean
            Indicates if the terminal prompts for tips.
        • option 2object
          Tip settings
          • enabledbooleanrequired
            Indicates if the terminal can accept tips.
    • gatewayobject
      Polymorphic object that contains the gateway settings for the solution.
      • option 1object
        Object that contains the gateway settings for the solution.
        • gatewaystringrequired
          Name of the gateway that processes the transactions.payroc
        • terminalTemplateIdstringrequired
          Unique identifier of the gateway terminal template.≤ 50 chars
    • processingTerminalIdstringrequired
      Unique identifier that we assigned to the processing terminal.
    • programstring
      Name of the product and its setup.≤ 50 chars
    • receiptNotificationsobject
      Object that indicates if the terminal can send email receipts or text receipts.
      • emailReceiptboolean
        Indicates if the terminal can send receipts by email.
      • smsReceiptboolean
        Indicates if the terminal can send receipts by text message.
    • securityobject
      Object that contains the tokenization settings and AVS settings for the terminal.
      • avsLevelstring
        Indicates the level of AVS details that the terminal should prompt for.≤ 11 charsfullAddresspostalCode
      • avsPromptbooleanrequired
        Indicates if the terminal should prompt for Address Verification Service (AVS) details when running a transaction.
      • cvvPromptbooleanrequired
        Indicates if the terminal should prompt for a Card Verfication Value (CVV) when running a transaction.
      • tokenizationbooleanrequired
        Indicates if the terminal can tokenize customer's payment details. For more information about tokenization, go to Tokenization.
    • statusstringrequired
      Indicates if the processing terminal is active.≤ 8 charsactiveinactive
    • taxesobject[]
      Array of tax objects that contains the taxes that apply to the merchant's transactions.0–3 items
      • taxLabelstringrequired
        Short description of the tax rate, for example, "Sales Tax".≤ 10 chars
      • taxRatenumberdoublerequired
        Rate of tax that the terminal applies to each transaction.0–99.999
    • timezonestringrequired
      Indicates the timezone within which transactions will be processed for this terminal≤ 28 charsPacific/MidwayPacific/HonoluluAmerica/AnchorageAmerica/Los_AngelesAmerica/DenverAmerica/PhoenixAmerica/ChicagoAmerica/Indiana/Indianapolis+1 more

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer